Skip to main content
`Ctrl`+`K`

# CharacteristicSetUp

Sets up the internal data structures for the later use of a `Charactoristic` .

## Synopsis

    #include "petsccharacteristic.h"
    PetscErrorCode CharacteristicSetUp(Characteristic c)

Collective

## Input Parameter

- c - context obtained from CharacteristicCreate()

## See Also

TS: Scalable ODE and DAE Solvers, `Characteristic`, `CharacteristicCreate()`, `CharacteristicSolve()`, `CharacteristicDestroy()`

## Level

developer

## Location

src/ts/characteristic/interface/characteristic.c

## Implementations

CharacteristicSetUp_DA() in src/ts/characteristic/impls/da/slda.c

Index of all Characteristic routines
Table of Contents for all manual pages
Index of all manual pages